Your day: priorities, metrics, promises, story and exceptions
const url = 'https://api.vocapable.com/v1/workspace/today';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/today \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
object
One thing to do next, in the handoff’s order, opening its exact record.
object
object
object
object
object
A teammate named on a record: the id the server holds and the name to show.
object
object
object
A teammate named on a record: the id the server holds and the name to show.
object
object
object
One request for review, pinned to the exact payload reviewed (its digest).
object
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
One request for review, pinned to the exact payload reviewed (its digest).
object
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
Today at a glance for owners and managers (J10), from the same report service.
object
object
object
object
Example
{ "scope": "team", "priorities": [ { "kind": "active_call" } ], "metrics": [ { "key": "open_opportunities" } ], "promises": [ { "task": { "kind": "follow_up", "subject_type": "handoff", "status": "open" } } ], "feed": [ { "entry": { "kind": "call", "actor_kind": "human" } } ], "exceptions": [ { "kind": "unassigned" } ], "reviews": [ { "status": "awaiting_review" } ], "my_requests": [ { "status": "awaiting_review" } ], "setup_next": { "key": "company", "state": "done" }}